package edu.washington.cse490h.geo;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/** 
 * This is the main entry point for your servlet.
 * Your servlet will create an instance of this object (using 
 * the no-argument default constructor) and then call doGet()
 * every time someone accesses the url /map/LookupAddress
 *
 * Your doGet() method must write to its output four lines, 
 * containing:
 *   lat
 *   lon
 *   tile_x
 *   tile_y
 *
 * The queryString received as an input will have key=val pairs
 * from the request object. The keys are called 'address', 
 * 'street', 'zip', and 'zoom'.
 *
 * If the address cannot be found, the status code ADDRESS_NOT_FOUND 
 * must be returned, and the response should contain no text.
 *
 */
public class LookupServlet extends HttpServlet {

  public LookupServlet() {
    // TODO: Your constructor logic, if any, goes here.
  }

  private static final int ADDRESS_NOT_FOUND = 
      HttpServletResponse.SC_NOT_FOUND;

  private static final String ADDRESS_KEY = "address";
  private static final String STREET_KEY = "street";
  private static final String ZIPCODE_KEY = "zip";
  private static final String ZOOM_LEVEL_KEY = "zoom";


  public void doGet(HttpServletRequest request, HttpServletResponse response)
      throws ServletException, IOException {

    // parse the request headers
    String queryString = request.getQueryString();

    // set the MIME type header
    response.setContentType("text/plain");

    // You can write your output to 'out.print() / out.println()'
    // and it will be presented back as part of the response
    // e.g. out.println(someLatitude);
    PrintWriter out = response.getWriter();

    // TODO: Your lookup logic goes here.

    // Currently, always send back error code 404 (not found)
    response.sendError(ADDRESS_NOT_FOUND);
  } // end doGet
}
